Description

ENB and SweetFX for Gothic 3. This is a Place and Play, no adjustments required.

Preview
ENB and SweetFX for Gothic 3
Comments
carinth01 Author
carinth01 - - 180 comments

This can be used in combination with any texture packs or add-ons.
To make adjustments to ENB, alter the enbseries.ini configuration settings file, found in the main folder.
To make adjustments to Sweetfx, go to \SweetFX\Presets and alter the Gothic3.txt file.
The default settings file is located in the main folder, SweetFX_settings.txt. However, it is not used for the settings as the SweetFX_preset.txt file is directing it to the presets folder (alter to match, if you make change to location or name of settings file).

Alter ENB and SweetFX settings as you like.
Full ENB Download available here:
Enbdev.com
Full Sweetfx Download available here:
Sweetfx.thelazy.net

Install the 1.75 community patch found here: Forums.steampowered.com

I hope you find these programs and adjustments helpful at making your Gothic 3 game more enjoyable.

Reply Good karma+4 votes
Marek33
Marek33 - - 3,891 comments

Nice! I want to also say that there are other mods which are must have for me and should be for many other Gothic players too:

1. Quest pack 4.2
2. Content mod 2.6
3. Quest pack update for patch 1.75.
4. Enjoy

Reply Good karma Bad karma+4 votes
carinth01 Author
carinth01 - - 180 comments

Thanks very much. I'll check those out. I appreciate the comment.:D

Reply Good karma+4 votes
Marek33
Marek33 - - 3,891 comments

You welcome. Also, I forgot to warn you if you want enhanced visibility you need at least 6GB ram (I have 8GB and I have only about 20fps so I don't use that feature and do you know how to increase draw distance without loosing frame rate because Vanilla game have terrible view distance?)

Btw: I rated this 10 of 10.

Reply Good karma Bad karma+3 votes
carinth01 Author
carinth01 - - 180 comments

Actually the file included in the Ini folder has the 3 distances adjusted for view distance, that one will work with the 1.75 upgrade you just place it last.
These are the 3 lines in the Ge3.ini.
DistanceLow.fFarClippingPlaneLowPolyMesh_High= 200000.0
DistanceLow.fFarClippingPlaneLowPolyMesh_Medium= 150000.0
DistanceLow.fFarClippingPlaneLowPolyMesh_Low= 125000.0

You can go as high as 300000.0, but then add the same amount to the medium and low, so it would be 300000.0, 250000.0 and 225000.0

Reply Good karma+4 votes
Marek33
Marek33 - - 3,891 comments

Well I know about this but it never works for me and when I download edited file from the internet It still used 6GB of ram and I have low fps.
It's not really necessary for me because It offers a very low distance and I would like to see attest 2km in the distance and not those few which offers that tweak.
Ideal it would be 4km or even 8km but I don't think Gothic 3 engine could have that view distance.

Anyway thanks for hint.

Reply Good karma Bad karma+3 votes
carinth01 Author
carinth01 - - 180 comments

Don't play it in the Alternative Balancing mode that can cause a lot of issues too. It seems to cause lag issues in the game too.

Reply Good karma+3 votes
carinth01 Author
carinth01 - - 180 comments

PS thanks for the rating too:D

Reply Good karma+4 votes
Marek33
Marek33 - - 3,891 comments

Sorry but I can't play without Alternative Balancing because in Vanilla game I can't learn everything and I don't find any minor lags with that (I have lags only when I put enhanced view distance) but now I don't have any lags because I don't have it enabled (if you want it you have to enable it in installation of Content mod 2.6 or change the ini file).

Reply Good karma Bad karma+3 votes
carinth01 Author
carinth01 - - 180 comments

Ah, ok. For some reason when I install the quest pack my game won't start anymore I get a game exe problem, is there two versions? 1 for Gothic 3 and one for the forsaken gods edition? Or am I just doing something wrong?

Reply Good karma+3 votes
Marek33
Marek33 - - 3,891 comments

First you have to have Community Patch 1.75 and then install Quest pack 4.2 but don't forget that Quest pack u4.2 is old and its supposed to work with an older version of Community Patch so you need to install quest pack update for patch 1.75. (also if you want content mod 2.6 you should install it before quest pack update for patch 1.75 but after quest pack 4.2).

Just like this:

1. Quest pack 4.2
2. Content mod 2.6
3. Quest pack update for patch 1.75.
4. Done!

Also, if you still have some problems please send me a PM its much easier to see it that checking the comments.

Reply Good karma Bad karma+4 votes
Barraccus
Barraccus - - 1 comments

When I have copied the files over to my Gothic 3 folder and I start the game, I get a black screen. No intro, no menu, nothing. How do i fix this?

Reply Good karma Bad karma+3 votes
carinth01 Author
carinth01 - - 180 comments

Replace the ENB d3d9.dll with the one found here Enbdev.com Extract it from the WrapperVersion folder and replace the one in your Gothic 3 folder with this one. It is a generic ENB and should work as a replacement. Please let me know if this works for you.

Reply Good karma+3 votes
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.